Package org.jcsp.plugNplay.ints

# Class FixedDelayInt

java.lang.Object
org.jcsp.plugNplay.ints.FixedDelayInt

All Implemented Interfaces:
  `CSProcess`

public final class FixedDelayInt extends Object implements CSProcess
This holds on to data from its input channel for a fixed delay before passing it on to its output channel.

## Process Diagram

## Description

`FixedDelayInt` is a process that delays passing on input to its output by a constant delay.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin
See Also:
  - `RegulateInt`
  - `RegularInt`

## Constructor Summary

Constructors
Constructor
Description
`FixedDelayInt(long delayTime, ChannelInputInt in, ChannelOutputInt out)`
Construct a new FixedDelayInt process with the input Channel in and the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedDelayInt

public FixedDelayInt(long delayTime, ChannelInputInt in, ChannelOutputInt out)
Construct a new FixedDelayInt process with the input Channel in and the output Channel out.

Parameters:
  `delayTime` - the time the process is to wait in milliseconds between receiving a message and then sending it (a negative `delayTime` implies no waiting).
  `in` - the input Channel
  `out` - the output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`